> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Edge storage statistics

> Retrieve statistics on edge storage operations including key-value store access patterns.
Data shows read/write operations aggregated by time interval.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/stats/kv_store
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/stats/kv_store:
    get:
      tags:
        - Stats
      summary: Edge storage statistics
      description: >-
        Retrieve statistics on edge storage operations including key-value store
        access patterns.

        Data shows read/write operations aggregated by time interval.
      operationId: StatsKVStore
      parameters:
        - description: Reporting period start time in RFC3339 format
          example: '2026-01-01T00:00:00Z'
          in: query
          name: from
          required: true
          schema:
            format: date-time
            type: string
        - description: Reporting period end time in RFC3339 format (exclusive)
          example: '2026-01-31T23:59:59Z'
          in: query
          name: to
          required: true
          schema:
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  stats:
                    items:
                      $ref: '#/components/schemas/kvStoreStats'
                    type: array
                required:
                  - stats
                type: object
          description: Returns edge storage statistics for the specified time period
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
components:
  schemas:
    kvStoreStats:
      type: object
      required:
        - read_count
        - write_size
        - storage_size
        - del_count
      properties:
        time:
          type: string
          format: date-time
          description: Beginning of reporting slot
        read_count:
          type: integer
          format: int64
          description: Number of read operations
        write_size:
          type: integer
          format: int64
          description: Volume of write operations, in bytes
        storage_size:
          type: number
          format: double
          description: Storage size used over time, in MB*hours
        del_count:
          type: integer
          format: int64
          description: Number of delete operations
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````